package net.northking.cctp.dw.db.service;

import net.northking.cctp.dw.dto.*;

import java.util.List;

public interface ProjectOverviewService {
    ProjectOverviewDto projectOverviewQuery(ProjectOverviewQueryDto projectOverviewQueryDto);

    ChargeInfoDto chargeInfoQuery(ChargeInfoQueryDto chargeInfoQueryDto);

    List<ModifyInfoDto> modifyInfoQuery(ModifyInfoQueryDto modifyInfoQueryDto);

    List<FailPlanInfoDto> failPlanQuery(ModifyInfoQueryDto modifyInfoQueryDto);

    AxesDto planQuery(PlanQueryDto planQueryDto);
}
